Request document ai
curl --request POST \
--url https://api.sortx.co.uk/documents/ai/for/{kind}/{subjectId} \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/documents/ai/for/{kind}/{subjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/ai/for/{kind}/{subjectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"kind": "certificate-intake",
"subjectId": "<string>",
"state": "<string>",
"note": "<string>",
"result": null,
"values": [
{
"field": "<string>",
"value": "<string>",
"spanId": "<string>",
"quote": "<string>"
}
],
"reviews": [
{
"item": "<string>",
"decision": "<string>",
"recordKind": "<string>",
"recordId": "<string>"
}
],
"canRetry": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}documents
Request document ai
POST
/
documents
/
ai
/
for
/
{kind}
/
{subjectId}
Request document ai
curl --request POST \
--url https://api.sortx.co.uk/documents/ai/for/{kind}/{subjectId} \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/documents/ai/for/{kind}/{subjectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/ai/for/{kind}/{subjectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"kind": "certificate-intake",
"subjectId": "<string>",
"state": "<string>",
"note": "<string>",
"result": null,
"values": [
{
"field": "<string>",
"value": "<string>",
"spanId": "<string>",
"quote": "<string>"
}
],
"reviews": [
{
"item": "<string>",
"decision": "<string>",
"recordKind": "<string>",
"recordId": "<string>"
}
],
"canRetry": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Available options:
certificate-intake, document-filing Response
Success
Available options:
certificate-intake, document-filing Show child attributes
Show child attributes
Show child attributes
Show child attributes